Bug 1409880 - An internal error occurred
Summary: An internal error occurred
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:462314012;VARIANT_ID=workst...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 17:37 UTC by Rafal Luzynski
Modified: 2017-08-08 19:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:31:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.45 KB, text/plain)
2017-01-03 17:37 UTC, Rafal Luzynski
no flags Details

Description Rafal Luzynski 2017-01-03 17:37:29 UTC
Description of problem:
I had a CVS diff between two remote versions opened, between HEAD revision and one before.
The file itself had conflicting changes, that means I had modified the file locally while someone
else modified it remotely. Then I ran the Update functionality on this file which should
result in a merge. It looks like the merge went successfully but it's refreshing the diff
what failed.

Version-Release number of selected component:
eclipse-platform-4.6.1-6.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/java -Dosgi.requiredJavaVersion=1.8 -Xms512m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -Dosgi.framework.extensions=org.eclipse.wst.jsdt.nashorn.extension -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.6.1.v20160915-0852/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.400.v20160915-0852/eclipse_1617.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar -protect master --launcher.appendVmargs -exitdata 6d8092 -vm /usr/bin/java -vmargs -Dosgi.requiredJavaVersion=1.8 -Xms512m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dp2.fragments=/usr/share/eclipse/droplets,/usr/lib64/eclipse/droplets -Declipse.p2.skipMovedInstallDetection=true -Dosgi.framework.extensions=org.eclipse.wst.jsdt.nashorn.extension -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160915-0852.jar
eclipseplugin:  org.eclipse.ui
executable:     /usr/lib64/eclipse/plugins/org.eclipse.ui_3.108.0.v20160915-0852.jar
kernel:         4.8.15-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           libreport
uid:            500

Truncated backtrace:
java.lang.NullPointerException
	at org.eclipse.compare.internal.merge.DocumentMerger.doDiff(DocumentMerger.java:503)
	at org.eclipse.compare.contentmergeviewer.TextMergeViewer.doDiff(TextMergeViewer.java:3495)
	at org.eclipse.compare.contentmergeviewer.TextMergeViewer.access$64(TextMergeViewer.java:3484)
	at org.eclipse.compare.contentmergeviewer.TextMergeViewer$31.runInUIThread(TextMergeViewer.java:3124)
	at org.eclipse.ui.progress.UIJob$1.run(UIJob.java:97)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4528)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:4146)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:687)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:604)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1492)

Comment 1 Rafal Luzynski 2017-01-03 17:37:35 UTC
Created attachment 1236931 [details]
File: backtrace

Comment 2 Mat Booth 2017-02-09 10:52:22 UTC
Are you using PHP tools (eclipse-pdt) in Eclipse?

Comment 3 Rafal Luzynski 2017-02-09 13:58:31 UTC
No, I don't even have eclipse-pdt installed:

$ rpm -qa "*eclipse*" | sort
eclipse-cdt-9.1.0-2.fc24.x86_64
eclipse-cdt-native-9.1.0-2.fc24.x86_64
eclipse-dtp-1.12.0-7.fc24.noarch
eclipse-e4-importer-0.2.0-0.2.gitb33919c.fc24.noarch
eclipse-ecf-core-3.13.2-1.fc24.x86_64
eclipse-egit-4.5.0-1.fc24.noarch
eclipse-emf-core-2.12.0-1.fc24.x86_64
eclipse-emf-runtime-2.12.0-1.fc24.noarch
eclipse-equinox-osgi-4.6.1-6.fc24.x86_64
eclipse-filesystem-1.0-7.fc24.x86_64
eclipse-gef-3.11.0-1.fc24.noarch
eclipse-jbosstools-freemarker-4.2.3-1.fc22.noarch
eclipse-jdt-4.6.1-6.fc24.noarch
eclipse-jgit-4.5.0-1.fc24.noarch
eclipse-launchbar-2.0.1-1.fc24.noarch
eclipse-linuxtools-libhover-5.1.0-1.fc24.noarch
eclipse-mylyn-3.20.2-2.fc24.noarch
eclipse-mylyn-docs-wikitext-3.20.2-2.fc24.noarch
eclipse-nls-4.6.0-1.fc24.noarch
eclipse-nls-pl-4.6.0-1.fc24.noarch
eclipse-pde-4.6.1-6.fc24.x86_64
eclipse-platform-4.6.1-6.fc24.x86_64
eclipse-remote-2.1.1-1.fc24.noarch
eclipse-rse-3.7.1-1.fc24.noarch
eclipse-swt-4.6.1-6.fc24.x86_64
eclipse-tm-terminal-4.1.0-3.fc24.noarch
eclipse-webtools-common-3.8.1-1.fc24.noarch
eclipse-webtools-servertools-3.8.1-1.fc24.noarch
eclipse-webtools-sourceediting-3.8.1-1.fc24.noarch
eclipse-xsd-2.12.0-1.fc24.noarch

Comment 4 Mat Booth 2017-02-09 14:49:03 UTC
Okay thanks. I thought this might be fixed in recent updates to PDT, but this is probably a different bug in this case.

There are more recent packages in Fedora 25, would you be able to test to see if this problem is still present there?

Comment 5 Fedora End Of Life 2017-07-26 00:09:33 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 19:31:16 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.